/*************************************************************************
 *
 * special function node representing the channel transition probabilities
 *
 *************************************************************************/

#ifndef CHANNELTRANSITION
#define CHANNELTRANSITION

#include "FunctionNode.h"
#include "LocalFunction.h"

class ChannelTransition : public FunctionNode {

public:
  
  // constructor
  ChannelTransition(const char *name, int id);

  // sets a new local function
  void setProbabilities(double *probabilites);
  ~ChannelTransition();
};

#endif
