/**************************************
 *
 * soft demodulator 
 * (to get the channel transmission probabilities from the received noisy symbols)
 *
 **************************************/

#ifndef SOFTDEMODULATOR
#define SOFTDEMODULATOR
#undef SOFTDEMODULATOR_DEBUG

class SoftDemodulator {

private:

  double sigma;
  double factor1;
  double factor2;
  int isiSize;
  int *isiAlphabet;

public:
  
  SoftDemodulator(double sigma, int isiSize);

  ~SoftDemodulator();

  void getProbabilities(const double *channelSymbols, int length, double *(*prob));

  void setSigma(double sigma);

};

#endif
